Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Kdevelop [Gentoo] sanity check problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
cioannou
Tux's lil' helper
Tux's lil' helper


Joined: 16 Oct 2005
Posts: 82
Location: Greece

PostPosted: Sun Dec 10, 2006 2:56 pm    Post subject: Kdevelop [Gentoo] sanity check problem Reply with quote

I opened Kdevelop and selected the "Hello World" sample.

Then I tried to build it and:

Code:

checking for correct ltmain.sh version... no
configure: error:

*** [Gentoo] sanity check failed! ***
*** libtool.m4 and ltmain.sh have a version mismatch! ***
*** (libtool.m4 = 1.5.22, ltmain.sh = 1.5a) ***

Please run:

libtoolize --copy --force

if appropriate, please contact the maintainer of this
package (or your distribution) for help.

*** Exited with status: 1 ***


Any suggestions?
_________________
If windows fails, who you gonna call? Re-install......
Back to top
View user's profile Send private message
mikers456
n00b
n00b


Joined: 07 Jul 2004
Posts: 36

PostPosted: Sun Dec 10, 2006 8:16 pm    Post subject: Reply with quote

Try re-emerging libtool.

If that doesn't work, delete the file with version that doesn't match (doesn't match your ebuild version that you have installed), and then re-emerge libtool again.

Do you have multiple libtool versions installed? (eix libtool will tell you) I think you only need one.

Code:
willdkers recvq # equery files libtool
[ Searching for packages matching libtool... ]
* Contents of sys-devel/libtool-1.5.22:
(snip...)
/usr/bin/libtool
/usr/bin/libtoolize
/usr/share/aclocal/libtool.m4
/usr/share/libtool/libltdl/ltmain.sh
/usr/share/libtool/ltmain.sh
(snip...)
Back to top
View user's profile Send private message
cioannou
Tux's lil' helper
Tux's lil' helper


Joined: 16 Oct 2005
Posts: 82
Location: Greece

PostPosted: Mon Dec 11, 2006 7:48 am    Post subject: Reply with quote

Thanks for the answer , I already re-emerged libtool but with no luck.

equery shows only libtool 1.5.22
_________________
If windows fails, who you gonna call? Re-install......
Back to top
View user's profile Send private message
Beno
n00b
n00b


Joined: 27 Oct 2003
Posts: 6
Location: Germany

PostPosted: Mon Dec 11, 2006 4:04 pm    Post subject: Reply with quote

Same problem here, after running "libtoolize --copy --force" in the project directory it works.
But i don't want to do this for each new project - is there a solution?
_________________
Beno
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 7817

PostPosted: Fri Nov 02, 2007 4:00 am    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads, refer to topic "Libtool.m4 and ltmain.sh Problems". This problem has been reported in the KDE bug tracking system, where it has been marked as an invalid bug, though it is also mentioned in the kdevelop FAQ.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum